Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodedata
Class NewHiddenBranchDataAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
          info.bioinfweb.treegraph.document.nodedata.IDElementAdapter
              info.bioinfweb.treegraph.document.nodedata.HiddenDataAdapter
                  info.bioinfweb.treegraph.document.nodedata.HiddenBranchDataAdapter
                      info.bioinfweb.treegraph.document.nodedata.NewHiddenBranchDataAdapter

All Implemented Interfaces:
  NewNodeDataAdapter, NodeDataAdapter

    public class NewHiddenBranchDataAdapter

extends HiddenBranchDataAdapter
implements NewNodeDataAdapter

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.nodedata.HiddenDataAdapter
`DECIMAL_FORMAT`

Fields inherited from class info.bioinfweb.treegraph.document.nodedata.IDElementAdapter
`id`

Constructor Summary
`NewHiddenBranchDataAdapter()`

Method Summary
`void` | `setID(java.lang.String id)`
`java.lang.String` | `toString()` A description of the adapter that is readable by the user should be returned here.

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.HiddenBranchDataAdapter
`getDataElement, getDataMap`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.HiddenDataAdapter
`assignData, createData, delete, getData, getDecimalFormat`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.IDElementAdapter
`getID`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
`decimalOnly, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NewHiddenBranchDataAdapter

    public NewHiddenBranchDataAdapter()

Method Detail

### setID

    public void setID(java.lang.String id)

  Specified by:
    `setID` in interface `NewNodeDataAdapter`

### toString

    public java.lang.String toString()

  Description copied from interface: `NodeDataAdapter`
  A description of the adapter that is readable by the user should be returned here.

  Specified by:
    `toString` in interface `NodeDataAdapter`
  Overrides:
    `toString` in class `HiddenBranchDataAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD